RDKit::StereoGroup Class Reference

`#include <StereoGroup.h>`

## Public Member Functions

| StereoGroup ()
| StereoGroup (StereoGroupType grouptype, std::vector< Atom * > &&atoms)
| StereoGroup (StereoGroupType grouptype, const std::vector< Atom * > &atoms)
StereoGroupType | getGroupType () const
const std::vector< Atom * > & | getAtoms () const
bool | operator== (const StereoGroup &other) const
bool | operator!= (const StereoGroup &other) const

## Detailed Description

StereoGroup is a collection of atoms with a known stereochemical relationship

Used to help represent a sample with unknown stereochemistry, or that is a mix of diastereomers.

Definition at line 41 of file StereoGroup.h.

## Constructor & Destructor Documentation

## StereoGroup() [1/3]

RDKit::StereoGroup::StereoGroup | ( |  | ) |

inline

Definition at line 47 of file StereoGroup.h.

## StereoGroup() [2/3]

RDKit::StereoGroup::StereoGroup | ( | StereoGroupType | grouptype,
|  | std::vector< Atom * > && | atoms
| ) |  |

## StereoGroup() [3/3]

RDKit::StereoGroup::StereoGroup | ( | StereoGroupType | grouptype,
|  | const std::vector< Atom * > & | atoms
| ) |  |

## Member Function Documentation

## getAtoms()

const std::vector<Atom*>& RDKit::StereoGroup::getAtoms | ( |  | ) | const

## getGroupType()

StereoGroupType RDKit::StereoGroup::getGroupType | ( |  | ) | const

## operator!=()

bool RDKit::StereoGroup::operator!= | ( | const StereoGroup & | other | ) | const

inline

Definition at line 58 of file StereoGroup.h.

## operator==()

bool RDKit::StereoGroup::operator== | ( | const StereoGroup & | other | ) | const

inline

Definition at line 55 of file StereoGroup.h.

The documentation for this class was generated from the following file:

- StereoGroup.h